"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.JobsTable = void 0;
const abstractTable_1 = __importDefault(require("drizzle-orm/tables/abstractTable"));
class JobsTable extends abstractTable_1.default {
    constructor() {
        super(...arguments);
        this.id = this.serial('id').notNull();
        this.organization_id = this.int('organization_id').notNull();
        this.next_run = this.timestamptz('next_run').notNull().unique();
        this.is_comment_enabled = this.bool('is_comments_enabled').notNull().defaultValue(false);
        this.comment = this.text('comments');
        this.idx = this.uniqueIndex([this.organization_id, this.comment]);
    }
    tableName() {
        return 'jobs';
    }
}
exports.JobsTable = JobsTable;
//# sourceMappingURL=to.js.map