"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const drizzle_orm_1 = require("drizzle-orm");
class UsersTable extends drizzle_orm_1.AbstractTable {
    constructor() {
        super(...arguments);
        this.id = this.serial('id').primaryKey();
        this.phone = this.varchar('phone', { size: 256 }).unique();
        this.fullName = this.varchar('full_name_to_alter', { size: 512 });
        this.createdAt = this.timestamp('created_at').notNull();
        this.updatedAt = this.timestamp('updated_at').notNull();
        this.phoneFullNameIndex = this.index([this.phone, this.fullName]);
    }
    // deleted
    // public fullNameIndex = this.index(this.fullName);
    tableName() {
        return 'users2';
    }
}
exports.default = UsersTable;
//# sourceMappingURL=usersTable.js.map